edu.isi.pegasus.common.credential.impl

## Class Abstract

- java.lang.Object
- - edu.isi.pegasus.common.credential.impl.Abstract

All Implemented Interfaces:
  CredentialHandler

Direct Known Subclasses:
  Irods, Proxy, S3CFG, Ssh

    public abstract class Abstract
    extends java.lang.Object
    implements CredentialHandler

An abstract base class to be used by other CredentialHandler implementations.

Version:
  $Revision$
Author:
  Karan Vahi

### Nested Class Summary

### Nested classes/interfaces inherited from interface edu.isi.pegasus.common.credential.CredentialHandler

`CredentialHandler.TYPE`

### Field Summary

Fields
`protected LogManager` `mLogger` A handle to the logging object.
`protected PegasusProperties` `mProps` The object holding all the properties pertaining to Pegasus.
`protected SiteStore` `mSiteStore` The handle to the Site Catalog Store.

### Fields inherited from interface edu.isi.pegasus.common.credential.CredentialHandler

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Abstract()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getPath()` Returns the path to the credential on the submit host.
`java.lang.String` `getSiteNameForEnvironmentKey(java.lang.String site)` Returns the site name sanitized for use in an environment variable.
`void` `initialize(PegasusBag bag)` Initializes the credential implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface edu.isi.pegasus.common.credential.CredentialHandler

`getBaseName, getDescription, getEnvironmentVariable, getPath, getProfileKey`

### Field Detail

#### mProps

    protected PegasusProperties mProps

The object holding all the properties pertaining to Pegasus.

#### mSiteStore

    protected SiteStore mSiteStore

The handle to the Site Catalog Store.

#### mLogger

    protected LogManager mLogger

A handle to the logging object.

### Constructor Detail

#### Abstract

    public Abstract()

The default constructor.

### Method Detail

#### initialize

    public void initialize(PegasusBag bag)

Initializes the credential implementation. Implementations require access to the logger, properties and the SiteCatalog Store.

Specified by:
  `initialize` in interface `CredentialHandler`
Parameters:
  `bag` - the bag of Pegasus objects.

#### getSiteNameForEnvironmentKey

    public java.lang.String getSiteNameForEnvironmentKey(java.lang.String site)

Returns the site name sanitized for use in an environment variable.

Parameters:
  `site` - the site name.

#### getPath

    public java.lang.String getPath()

Returns the path to the credential on the submit host.

Specified by:
  `getPath` in interface `CredentialHandler`
Returns: